GeoTessCPP: geotess::GeoTessEnumType Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
geotess::GeoTessEnumType Class Reference

The base class for all "enum" types. More...

`#include <GeoTessEnumType.h>`

Inheritance diagram for geotess::GeoTessEnumType:

## Public Member Functions
virtual | ~GeoTessEnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Protected Member Functions
| GeoTessEnumType ()
| GeoTessEnumType (const GeoTessEnumType &et)
GeoTessEnumType & | operator= (const GeoTessEnumType &et)
| GeoTessEnumType (const string &name, int ordinal)

## Static Protected Member Functions
static const GeoTessEnumType * | valueOf (const string &s, GeoTessEnumType const *const *const array, int n)

## Protected Attributes
const string | aName
const int | aOrdinal

## Friends
bool | operator== (const GeoTessEnumType &x, const GeoTessEnumType &y)
bool | operator!= (const GeoTessEnumType &x, const GeoTessEnumType &y)

## Detailed Description

The base class for all "enum" types.

The base class for all "enum" types. Contains the name string and ordinal of the enum and functions to return those attributes. Also defines operator overloads for equality (==) and non-equality (!=).

Definition at line 69 of file GeoTessEnumType.h.

## Constructor & Destructor Documentation

## ◆ GeoTessEnumType() [1/3]

geotess::GeoTessEnumType::GeoTessEnumType | ( |  | ) |
| inlineprotected

Private default constructor. Not used.

Definition at line 76 of file GeoTessEnumType.h.

## ◆ GeoTessEnumType() [2/3]

geotess::GeoTessEnumType::GeoTessEnumType | ( | const GeoTessEnumType & | et | ) |
| inlineprotected

Private copy constructor. Not used.

Definition at line 84 of file GeoTessEnumType.h.

## ◆ GeoTessEnumType() [3/3]

geotess::GeoTessEnumType::GeoTessEnumType | ( | const string & | name,
|  | int | ordinal
| ) |  |
| inlineprotected

Standard constuctor. Protected so that only derived types (public enums) which inherit this object can actually create one.

Definition at line 111 of file GeoTessEnumType.h.

## ◆ ~GeoTessEnumType()

virtual geotess::GeoTessEnumType::~GeoTessEnumType | ( |  | ) |
| inlinevirtual

Standard destructor.

Definition at line 135 of file GeoTessEnumType.h.

## Member Function Documentation

## ◆ name()

string geotess::GeoTessEnumType::name | ( |  | ) | const
| inline

Returns this Enums name.

Definition at line 145 of file GeoTessEnumType.h.

## ◆ operator=()

GeoTessEnumType& geotess::GeoTessEnumType::operator= | ( | const GeoTessEnumType & | et | ) |
| inlineprotected

Private assignment operator. Not used.

Definition at line 92 of file GeoTessEnumType.h.

## ◆ ordinal()

int geotess::GeoTessEnumType::ordinal | ( |  | ) | const
| inline

Returns this Enums ordinal.

Definition at line 150 of file GeoTessEnumType.h.

## ◆ toString()

string geotess::GeoTessEnumType::toString | ( |  | ) | const
| inline

Returns this Enums name.

Definition at line 140 of file GeoTessEnumType.h.

## ◆ valueOf()

static const GeoTessEnumType* geotess::GeoTessEnumType::valueOf | ( | const string & | s,
|  | GeoTessEnumType const *const *const | array,
|  | int | n
| ) |  |
| staticprotected

Returns the EnumType from the input array whose name matches the input string. Null is returned if no match is found.

Parameters

  s | The input string for which a match in array is returned (or null).
  array | The array from which a match for s will be sought.
  n | The size of the input array.

Returns
  The match of s in the names of array or null if one was not found.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const GeoTessEnumType & | x,
|  | const GeoTessEnumType & | y
| ) |  |
| friend

Not equals operator.

Definition at line 160 of file GeoTessEnumType.h.

## ◆ operator==

bool operator== | ( | const GeoTessEnumType & | x,
|  | const GeoTessEnumType & | y
| ) |  |
| friend

Equals operator.

Definition at line 155 of file GeoTessEnumType.h.

## Member Data Documentation

## ◆ aName

const string geotess::GeoTessEnumType::aName
| protected

The string name of this enum.

Definition at line 100 of file GeoTessEnumType.h.

## ◆ aOrdinal

const int geotess::GeoTessEnumType::aOrdinal
| protected

The ordinal of this enum.

Definition at line 105 of file GeoTessEnumType.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessEnumType.h